%global drupaldir %{_datadir}/drupal7

Name:    drupal7-views
Version: 3.10
Release: 1%{?dist}
Summary: Provides a method for site designers to control content presentation

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/views
Source0: http://ftp.drupal.org/files/projects/views-7.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7
Requires:  drupal7-ctools >= 1.1

%description
The views module provides a flexible method for Drupal site designers
to control how lists of content (nodes) are presented. Traditionally,
Drupal has hard-coded most of this, particularly in how taxonomy and
tracker lists are formatted.

This tool is essentially a smart query builder that, given enough 
information, can build the proper query, execute it, and display the 
results. It has four modes, plus a special mode, and provides an 
impressive amount of functionality from these modes.

%prep

%setup -qn views

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/views
cp -pr * %{buildroot}%{drupaldir}/modules/views

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt documentation-standards.txt
%{drupaldir}/modules/views
%exclude %{drupaldir}/modules/views/*.txt

%changelog
* Sat Feb 14 2015 Peter Borsa <peter.borsa@gmail.com> - 3.10-1
- Release 3.10 is a security fix release
- Upstream changelog is at https://drupal.org/node/2424103

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 21 2014 Peter Borsa <peter.borsa@gmail.com> - 3.8-1
- Release 3.8 is a security fix release
- Upstream changelog is at https://drupal.org/node/2271305

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 10 2013 Jared Smith <jsmith@fedoraproject.org> - 3.7-1
- Release 3.7 is a bug-fix release
- Upstream changelog is at http://drupal.org/node/1965242

* Wed Mar 20 2013 Jared Smith <jsmith@fedoraproject.org> - 3.6-1
- Release 3.6 fixes a cross-site scripting vulnerability SA-CONTRIB-2013-035 (CVE-2013-1887)
- More details at http://drupal.org/node/1948358

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Aug 24 2012 Jared Smith <jsmith@fedoraproject.org> - 3.5-1
- Update to upstream 3.5 release 
- Upstream changelog available at http://drupal.org/node/1751522

* Fri Aug 24 2012 Jared Smith <jsmith@fedoraproject.org> - 3.4-3
- Update to upstream 3.4 release 

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 23 2012 Jared Smith <jsmith@fedoraproject.org> - 3.3-1
- Update to upstream 3.3 release 

* Mon Jan 23 2012 Jared Smith <jsmith@fedoraproject.org> - 3.1-1
- Update to 3.1 release version

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 23 2011 Jared Smith <jsmith@fedoraproject.org> - 3.0-1
- Update to 3.0 release version

* Thu Nov 17 2011 Jared Smith <jsmith@fedoraproject.org> - 3.0-0.1.rc3
- Update to RC3 version, including the security patch

* Sat Aug 06 2011 Jared Smith <jsmith@fedoraproject.org> - 3.0-0.1.rc1
- Initial version for Drupal 7
